Subject: Re: bug#39855: PKG_GUILE does not find guile
From: Andy Wingo <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Mar 2020 21:26:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Julien Lepiller <[email-masked]> writes:

> I have a project I used to build with guile 2.2. I use the PKG_GUILE m4
> macro in my configure.ac. However, guile 3 comes with a guile.m4 whose
> PKG_GUILE only checks for 2.2, 2.0 and 1.8, so configure fails.
>
> Is this deprecated? Should I use something else to check for guile?

OMG I thought I had fixed this; just now pushed a patch.  In the
meantime you can use GUILE_PKG([3.0 2.2]) to look for 3.0 or 2.2 (in
that order).

Thanks for the report!

Andy